Bug 197045 - [www/tt-rss] [PATCH] Changed config.php-dist into config.php.sample
Summary: [www/tt-rss] [PATCH] Changed config.php-dist into config.php.sample
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-24 07:36 UTC by Yuri Victorovich
Modified: 2015-03-01 14:51 UTC (History)
0 users

See Also:


Attachments
patch (1.08 KB, patch)
2015-01-24 07:37 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.03 KB, patch)
2015-02-23 21:55 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.02 KB, patch)
2015-02-23 21:58 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.08 KB, patch)
2015-02-25 23:01 UTC, Yuri Victorovich
no flags Details | Diff
Updated patch (1.12 KB, patch)
2015-02-28 20:16 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-01-24 07:36:48 UTC
This is the config file, and the .sample is designed exactly for this.
Comment 1 Yuri Victorovich freebsd_committer 2015-01-24 07:37:38 UTC
Created attachment 152081 [details]
patch
Comment 2 Po-Chuan Hsieh freebsd_committer 2015-02-22 10:42:17 UTC
Over to maintainer.
Comment 3 Thierry Thomas freebsd_committer 2015-02-23 20:25:23 UTC
This patch does not apply, and "@mode u=rx" should be kept for update.php.
Comment 4 Yuri Victorovich freebsd_committer 2015-02-23 21:55:32 UTC
Created attachment 153397 [details]
patch

pkg-plist was updated in the mean time, this is why.

I like this (relatively new) @sample instruction because this removes the need to improvise with the shell code in pkg-plist in such cases.
Comment 5 Yuri Victorovich freebsd_committer 2015-02-23 21:58:08 UTC
Created attachment 153398 [details]
patch
Comment 6 Thierry Thomas freebsd_committer 2015-02-25 21:44:00 UTC
(In reply to yuri from comment #5)

Unfortunately, this is still not good: the permission get lost.
config.php must be readable only by www, because it contains passwords.
Comment 7 Yuri Victorovich freebsd_committer 2015-02-25 23:01:50 UTC
Created attachment 153535 [details]
patch

fixed!
Comment 8 Thierry Thomas freebsd_committer 2015-02-28 13:44:49 UTC
I'm soory, but using ${CHMOD} in Makefile is deprecated.

As reported by `portlint -C':
WARN: Makefile: [99]: possible use of "${CHMOD}" found. Use @(owner,group,mode) syntax or @owner/@group operators in pkg-plist instead.
Comment 9 Yuri Victorovich freebsd_committer 2015-02-28 20:16:46 UTC
Created attachment 153626 [details]
Updated patch

Sorry, my bad.
Comment 10 commit-hook freebsd_committer 2015-03-01 14:51:25 UTC
A commit references this bug:

Author: thierry
Date: Sun Mar  1 14:50:29 UTC 2015
New revision: 380195
URL: https://svnweb.freebsd.org/changeset/ports/380195

Log:
  Changed config.php-dist into config.php.sample.

  PR:		ports/197045
  Submitted by:	yuri (at) rawbw.com

Changes:
  head/www/tt-rss/Makefile
  head/www/tt-rss/pkg-plist